VR demo
=======

Run with `-vr` or make a `demo.conf` file with the line: `vr = true` to run in
VR mode.

Dependencies
------------
3rd party:
 - SDL2
 - GLEW
 - OpenAL (softal)
 - assimp
 - freetype2 (used by drawtext)
 - libpng (used by imago2)
 - libjpeg (used by imago2)
 - zlib (used by libpng)
 - libogg
 - libvorbis
 - Oculus SDK (used on windows by goatvr)

Nuclear's libraries:
 - gph-math
 - vmath
 - imago2
 - drawtext
 - resman
 - treestore
 - goatvr
 

Cross-compiling
---------------
Install the mingw toolchain: `apt-get install mingw-w64`

Dependencies must be installed under `/usr/i686-w64-mingw32`. Ask nuclear for a
pre-compiled archive of libraries cross-compiled for win32, because they are
many, and it's a horrible hassle.

Source the `setup_cross_env` file which defines sys, CC, and CXX, then make
as usual.

Remote debugging
----------------
Make sure `gdb-mingw-w64` is installed.

On windows do: `gdbserver demo.exe localhost:6666`
Then run: `i686-w64-mingw32-gdb demo.exe`
and use the command: `target remote alien:6666`
Then set breakpoints and continue.
