#include <string.h>
#include <goatvr.h>
#include "vrinput.h"
#include "scene.h"
#include "shader.h"

VRHand vrhand[2];

static Scene *scn;

bool init_vrhands()
{
	scn = new Scene;
	if(!(scn->load("data/vrhands.obj"))) {
		return false;
	}
	scn->objects[0]->node->set_position(Vec3(0, 150, 0));
	scn->objects[1]->node->set_position(Vec3(0, 250, 0));
	scn->update(0);
	return true;
}

void destroy_vrhands()
{
	delete scn;
	scn = 0;
}

void update_vrhands(const Avatar *avatar)
{
	for(int i=0; i<2; i++) {
		if(goatvr_hand_active(i)) {
			goatvr_hand_position(i, &vrhand[i].pos.x);
			goatvr_hand_orientation(i, &vrhand[i].rot.x);
			vrhand[i].valid = true;
		} else {
			vrhand[i].valid = false;
		}
	}

	scn->update(0);
}

void draw_vrhands()
{
	bind_shader(0);
	scn->draw();
}
